# DataExchange
TKSTEPBase
StepRepr

# StepRepr_ConfigurationEffectivity Class Reference

Representation of STEP entity ConfigurationEffectivity
.

`#include <StepRepr_ConfigurationEffectivity.hxx>`

Inheritance diagram for StepRepr_ConfigurationEffectivity:

[legend]

## Public Member Functions

Standard_EXPORT | StepRepr_ConfigurationEffectivity ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aEffectivity_Id, const Handle(StepBasic_ProductDefinitionRelationship)&aProductDefinitionEffectivity_Usage, const Handle(StepRepr_ConfigurationDesign)&aConfiguration)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepRepr_ConfigurationDesign | Configuration () const
| Returns field Configuration .
Standard_EXPORT void | SetConfiguration (const Handle(StepRepr_ConfigurationDesign)&Configuration)
| Set field Configuration .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepRepr_ConfigurationDesign | theConfiguration

## Constructor & Destructor Documentation

Standard_EXPORT StepRepr_ConfigurationEffectivity::StepRepr_ConfigurationEffectivity | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepRepr_ConfigurationDesign StepRepr_ConfigurationEffectivity::Configuration | ( |  | ) | const

Standard_EXPORT const StepRepr_ConfigurationEffectivity::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_ProductDefinitionEffectivity.

Standard_EXPORT void StepRepr_ConfigurationEffectivity::Init | ( | const Handle(TCollection_HAsciiString)& | aEffectivity_Id,
|  | const Handle(StepBasic_ProductDefinitionRelationship)& | aProductDefinitionEffectivity_Usage,
|  | const Handle(StepRepr_ConfigurationDesign)& | aConfiguration
| ) |

Standard_EXPORT void StepRepr_ConfigurationEffectivity::SetConfiguration | ( | const Handle(StepRepr_ConfigurationDesign)& | Configuration | ) |

## Field Documentation

Handle_StepRepr_ConfigurationDesign StepRepr_ConfigurationEffectivity::theConfiguration `[private]`

The documentation for this class was generated from the following file:

- StepRepr_ConfigurationEffectivity.hxx